## Metadata browser

Metadata browser — Display and edit data object metadata

## Functions

GtkWidget * | gwy_meta_browser_new ()

## Types and Values

struct | GwyMetaBrowser
struct | GwyMetaBrowserClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GwyMetaBrowser

## Implemented Interfaces

GwyMetaBrowser implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwyapp/gwyapp.h>

## Description

## Functions

### gwy_meta_browser_new()

    GtkWidget *
    gwy_meta_browser_new (GwyFile *file,
                          GwyDataKind data_kind,
                          gint id);

Creates a new metadata browser for a data object in a file.

If there is currently no metadata for given data, new empty metadata is created.

#### Parameters

file | A data file container. |
data_kind | Type of data item. |
id | Id of data item in `data` to show metadata for. |

#### Returns

A new metadata browser window.

[transfer full]

## Types and Values

### struct GwyMetaBrowser

    struct GwyMetaBrowser;

### struct GwyMetaBrowserClass

    struct GwyMetaBrowserClass {
        GtkWindowClass parent;

        gpointer reserved1;
        gpointer reserved2;
    };